This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1307131 - Customize the DNS domain
Customize the DNS domain
Status: ASSIGNED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jordan Liggitt
Meng Bo
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 13:57 EST by Eric Jones
Modified: 2017-06-22 17:28 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-22 17:03:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2016-02-12 13:57:51 EST
- What is the nature and description of the request? 
As an admin I require the ability to change the DNS domain.

- Why does the customer need this? (List the business requirements here) 
Because Kubernetes allows for this to change so that a different DNS(SkyDNS) can resolve the domain.

- How would the customer like to achieve this? (List the functional requirements here) 
Change a configuration file that will change the DNS Doamin for the environment.

- For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
Change the DNS Domain from "cluster.local" to anything else and modify the DNS to resolve to the new domain.

- Is there already an existing RFE upstream or in Red Hat Bugzilla?
Not that I could find.
Comment 5 Umair Mufti 2016-02-18 19:02:50 EST
Pull request 7446 will address this bug.
https://github.com/openshift/origin/pull/7446
Comment 9 Ben Bennett 2017-06-22 17:03:15 EDT
This seems to be implemented upstream in Kubernetes now.  Closing.
Comment 10 Jordan Liggitt 2017-06-22 17:28:27 EDT
We don't use kube-dns

Note You need to log in before you can comment on or make changes to this bug.